<template>
  <div
    v-if="gameEntries.length > 0"
    :class="[
      'entry-card-list-container',
      {
        'live-casino-container':
          gameEntries[0]?.CategoryName.toLowerCase() === 'live_casino',
      },
      isPeru ? 'peru-theme' : '',
    ]"
  >
    <template v-for="game in gameEntries" :key="game.GameId">
      <live-casino-list
        v-if="game?.CategoryName.toLowerCase() === 'live_casino'"
        class="live-casino-entry"
        :game="game"
        :authenticated="authenticated"
        :game-entries-length="gameEntries.length"
        :handle-game-entry-open-window="handleGameEntryOpenWindow"
      />
      <sport-list v-else :game="game" />
    </template>
  </div>
  <lobby-no-game-message v-else />
  <lazy-theme-common-login-dialog v-model="dialog" />
</template>

<script lang="ts">
import { defineComponent, computed, ref } from "vue";
import SportList from "./sport-list.vue";
import LiveCasinoList from "./livecasino-list.vue";
import { store } from "@/store";
import {
  handleGameEntryOpenWindow,
  useGameEntryBaseOnTabSelected,
} from "@/composables/useTheme";
import EnumEntranceLocation from "@/models/enums/enumEntranceLocation";

export default defineComponent({
  name: "GameListEntryComponent",
  components: {
    SportList,
    LiveCasinoList,
  },
  setup() {
    const authenticated = computed(() => store.state.auth);
    const { gameEntrySelected } = useGameEntryBaseOnTabSelected();
    const selectedTheme = computed((): string => store.state.selectedThemeName);
    const gameEntries = computed(() => gameEntrySelected.value);
    const dialog = ref(false);
    const { themeColor } = themePropertyHelper;
    const theme = themeColor.value.Text;
    const isPeru = computed(() => {
      if (theme === "peru_green") {
        return true;
      } else {
        return false;
      }
    });
    /**
     * checks if selected theme is SBO
     */

    return {
      authenticated,
      gameEntrySelected,
      handleGameEntryOpenWindow,
      EnumEntranceLocation,
      selectedTheme,
      gameEntries,
      dialog,
      isPeru,
    };
  },
});
</script>

<style lang="scss">
.entry-card-list-container {
  display: grid;
  gap: 1rem;
  &.live-casino-container {
    text-align: center;
  }
  @media screen and (min-width: 768px) {
    grid-template-columns: repeat(2, 1fr);
  }
  @media screen and (min-width: 1024px) {
    &.live-casino-container {
      grid-template-columns: repeat(4, 1fr);
    }
  }
  @media screen and (max-width: 1023px) {
    &.live-casino-container {
      grid-template-columns: repeat(3, 1fr);
    }
  }
  @media screen and (min-width: 461px) and (max-width: 639px) {
    gap: 0.5rem;
    &.live-casino-container {
      --v-game-entry-logo-scale: 1.3;
      --v-game-entry-label-size: 13px;
    }
  }
  @media screen and (max-width: 460px) {
    gap: 0.5rem;
    &.live-casino-container {
      --v-game-entry-logo-scale: 1.3;
      grid-template-columns: repeat(2, 1fr);
      --v-game-entry-label-size: 12px;
    }
  }
  @media screen and (max-width: 360px) {
    &.live-casino-container {
      --v-game-entry-label-size: 11px;
    }
  }
  .h-game-entry,
  .live-casino-entry {
    border: 2px solid var(--primary);
    border-radius: 8px;
    box-shadow: 0px 0px 10px 5px var(--blur-color);

    @media screen and (max-width: 639px) {
      box-shadow: 0px 2px 5px var(--blur-color);
    }
  }
}
</style>
